/// \file
/// \ingroup tutorial_FITS
/// \notebook
///
/// Open a FITS file that contains a catalog of astronomical objects
/// and dump some of its columns
///
/// \macro_code
/// \macro_output
///
/// \author Elizabeth Buckley-Geer

void Read_ufevt()
{
   // We are going to open a table from a FITS file
   // and print out three columns for some of the objects.
   // This table contains a logical data type so this tutorial tests
   // that we can read it correctly

   ////TString dir = gROOT->GetTutorialDir();

   // Open the table
   ///TFITSHDU hdu(dir + "/fitsio/sample5.fits[1]");
   
   TFITSHDU hdu1("./Check_Fits.evt[1]");  //error
																		cout<<"00"<<endl;
   TFITSHDU hdu1("./Delete16X_Check_Fits.evt[1]");  //error
																		cout<<"11"<<endl;
   TFITSHDU hdu2("./Check_Fits.evt[2]");
   																		cout<<"22"<<endl;
   TFITSHDU hdu3("./Check_Fits.evt[3]");  //error
   																		cout<<"33"<<endl;
   TFITSHDU hdu4("./Check_Fits.evt[4]");
																		cout<<"44"<<endl;
   
   																		cout<<"cl"<<endl;
   //TFITSHDU hdu1("/mnt/sy01data_4_background_study/data_analysis/EP_analysis/FitsData/13600005900/ep13600005900wxt10po_cl.evt[1]");  //error
   
   
   
   // Show columns 1
   const auto nColumns1 = hdu1.GetTabNColumns();
   printf("The table has %d columns:\n", nColumns1);
   for (auto i : ROOT::TSeqI(nColumns1)) {
      printf(" - Column %d: %s\n", i, hdu1.GetColumnName(i).Data());
   }
   
   
   
   // Show columns 2
   const auto nColumns2 = hdu2.GetTabNColumns();
   printf("The table has %d columns:\n", nColumns2);
   for (auto i : ROOT::TSeqI(nColumns2)) {
      printf(" - Column %d: %s\n", i, hdu2.GetColumnName(i).Data());
   }
   
   
      
   // Show columns 3
   const auto nColumns3 = hdu3.GetTabNColumns();
   printf("The table has %d columns:\n", nColumns3);
   for (auto i : ROOT::TSeqI(nColumns3)) {
      printf(" - Column %d: %s\n", i, hdu3.GetColumnName(i).Data());
   }
   
   
   
   
	
  // Show columns 4
   const auto nColumns4 = hdu4.GetTabNColumns();
   printf("The table has %d columns:\n", nColumns4);
   for (auto i : ROOT::TSeqI(nColumns4)) {
      printf(" - Column %d: %s\n", i, hdu4.GetColumnName(i).Data());
   }																		
																	
																		
																
				
}
